/*
 * Copyright (C) 2014 Sony Mobile Communications AB.
 * All rights, including trade secret rights, reserved.
 */
package com.sonymobile.ds4;

import android.bluetooth.BluetoothDevice;
import com.sonymobile.ds4.MotionReport;
import com.sonymobile.ds4.TouchReport;


/**
 * IHidSonyDS4Callback
 */
interface IHidSonyDS4Callback {

    /**
     * onMotionReport
     *
     * @param   device      dualshock4 of ocurred event
     * @param   motion      MotionReport class
     */
    void onMotionReport(in BluetoothDevice device, in MotionReport motion);

    /**
     * onTouchReport
     *
     * @param   device      dualshock4 of ocurred event
     * @param   touch       TouchReport class
     */
    void onTouchReport(in BluetoothDevice device, in TouchReport touch);
}
